﻿@model IEnumerable<Contabilidad.Site.Models.AssignPurchaseToWarehouse.AssignPurchaseToWarehouseListViewModel>
@{
    ViewData["Title"] = "Index";
}

<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.Models.Accounting.AssignPurchaseToWarehouse.AssignPurchaseToWarehouse.TitlePage</h2>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                {
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="body bg-red">
                                <div asp-validation-summary="ModelOnly"></div>
                            </div>
                        </div>
                    </div>
                }
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">

                            <div id="datatable_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap no-footer">

                                <div class="row">
                                </div>

                                <div class="row">
                                    <div class="col-sm-12">
                                        <table id="datatable" class="table table-striped table-bordered dataTable no-footer" style="width: 100%;" role="grid" aria-describedby="datatable_info">
                                            <thead>
                                                <tr class="headings">
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Code)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().CreatedDate)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().IsPaid)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Provider)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Comments)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().Currency)</th>
                                                    <th>@Html.DisplayNameFor(Model => Model.FirstOrDefault().SubTotal)</th>
                                                    <th>@Contabilidad.Resources.CommonResources.Options</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach (var item in Model)
                                                {
                                                    <tr>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Code)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.CreatedDate)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.IsPaid)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Provider)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Comments)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.Currency)
                                                        </td>
                                                        <td>
                                                            @Html.DisplayFor(modelItem => item.SubTotal)
                                                        </td>
                                                        <td>
                                                           <a asp-action="AssignToWarehouse" asp-route-idInvoice="@item.IdInvoice" data-loader="true" data-tooltip="tooltip" data-placement="top" title="@Contabilidad.Resources.Models.Accounting.AssignPurchaseToWarehouse.AssignPurchaseToWarehouse.Assign" class="btn btn-xs btn-table btn-circle waves-effect waves-light-green waves-circle">
                                                                    <i class="fa fa-edit"></i>
                                                                </a>
                                                        </td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>
                                    </div>
                                </div>

                                <div class="row">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
